### Type parameters

- #### V: CryptoWallet

- #### T: SupportSignedMessageData<V>

### Hierarchy

- WalletValidator

### Implemented by

- AbstractWalletValidator
- AppWalletValidator
- BtcWalletValidator
- EthWalletValidator
- WalletValidatorStrategy

## Index

### Methods

- validateCryptoWallet
- validateSignature

## Methods

### validateCryptoWallet

- validateCryptoWallet(wallet: T): ValidationResult<StringSignedMessage>

- - Defined in utils/types/validators/WalletValidator.ts:6

  #### Parameters

  - ##### wallet: T

  #### Returns ValidationResult<StringSignedMessage>

### validateSignature

- validateSignature(wallet: T): boolean

- - Defined in utils/types/validators/WalletValidator.ts:8

  #### Parameters

  - ##### wallet: T

  #### Returns boolean

Generated using TypeDoc